# TODO: fix dest on x86_64
# TODO: Move mpl-data to share?

%define oname matplotlib
Name: python-module-%oname
Version: 0.98.3
Release: alt3

Summary: Matlab(TM) style python plotting package

License: see LICENSE
Group: Development/Python
Url: http://matplotlib.sourceforge.net

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/%oname/%oname-%version.tar.bz2
Patch: %name.patch

%setup_python_module pylab

# Automatically added by buildreq on Sat Nov 29 2008
BuildRequires: dvipng gcc-c++ libgtk+2-devel python-module-PyQt4 python-module-ctypes python-module-pygtk-devel python-module-qt python-module-wx python-modules-encodings python-modules-tkinter rpm-build-java rpm-build-mono rpm-build-seamonkey tetex-latex tk-devel xorg-sdk xpdf-utils

BuildPreReq: rpm-build-compat >= 1.2

# hack for unknown deps
%add_python_req_skip AppKit Foundation PyObjCTools numarray paint _Py enthought
Provides: python%__python_version(backend_agg)
#%py_package_provides backend_agg

%description
matplotlib is a pure python 2D plotting library with a Matlab(TM)
syntax which produces publication quality figures using in a
variety of hardcopy formats (PNG, JPG, TIFF, PS) and interactive
GUI environments (WX, GTK) across platforms. matplotlib can be used
in python scripts, interactively from the python shell (ala matlab
or mathematica), in web application servers generating dynamic
charts, or embedded in GTK or WX applications; see backends.


%package examples
Summary: Example files for %oname
Group: Development/Python
Requires: %name = %version-%release

%description examples
Example files for %oname.

%package fltk
Summary: fltk backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description fltk
fltk backend for %oname.

%package qt4
Summary: qt4 backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description qt4
qt4 backend for %oname.

%package qt
Summary: qt backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description qt
qt backend for %oname.

%package gtk
Summary: gtk backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description gtk
gtk backend for %oname.

%package wx
Summary: wx backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description wx
ex backend for %oname.

%package tk
Summary: tk backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description tk
tk backend for %oname.

%prep
%setup -q -n %oname-%version
%patch
%__subst "s,/usr/lib/,%_libdir/,g" setupext.py

%build
%python_build

%install
%python_install

# Use gtk by default
%__subst "s|WXAgg|GTKAgg|g" %buildroot%python_sitelibdir/matplotlib/mpl-data/matplotlibrc

# TODO: breaks something?
# matplotlib can use system fonts, so drop these copies (thanks, PLD)
#rm -f %buildroot%python_sitelibdir/matplotlib/mpl-data/Vera*.ttf

%files
%doc README.txt license/
%doc API_CHANGES CHANGELOG INSTALL INTERACTIVE KNOWN_BUGS TODO
#%python_sitelibdir/dateutil/
%python_sitelibdir/*.py*
%dir %python_sitelibdir/matplotlib/
%python_sitelibdir/matplotlib/*.py*
%python_sitelibdir/matplotlib/*.so
%dir %python_sitelibdir/matplotlib/backends/__init__.*
%python_sitelibdir/matplotlib/numerix/
%python_sitelibdir/mpl_toolkits/
%python_sitelibdir/matplotlib/projections/
%python_sitelibdir/matplotlib/delaunay/
%python_sitelibdir/matplotlib/mpl-data/
%python_sitelibdir/matplotlib/config/
#%python_sitelibdir/enthought/
%python_sitelibdir/matplotlib/backends/Matplotlib.nib/
%dir %python_sitelibdir/matplotlib/backends/
%python_sitelibdir/matplotlib/backends/backend_agg*
%python_sitelibdir/matplotlib/backends/*_agg.so
%python_sitelibdir/matplotlib/backends/backend_template*
%python_sitelibdir/matplotlib/backends/backend_mixed*
%python_sitelibdir/matplotlib/backends/backend_svg*
#%python_sitelibdir/matplotlib/backends/backend_gd.py*
%python_sitelibdir/matplotlib/backends/backend_pdf*
%python_sitelibdir/matplotlib/backends/backend_ps*
%python_sitelibdir/matplotlib/backends/backend_cairo*
%python_sitelibdir/matplotlib/backends/backend_emf*
%python_sitelibdir/matplotlib/backends/backend_cocoa*

%files fltk
%python_sitelibdir/matplotlib/backends/backend_fltk*

%files gtk
%python_sitelibdir/matplotlib/backends/backend_gtk*
%python_sitelibdir/matplotlib/backends/backend_gdk*
%python_sitelibdir/matplotlib/backends/*gdk*.so
%python_sitelibdir/matplotlib/backends/_gtk*.so
#%python_sitelibdir/matplotlib/backends/backend_gdk.py*

%files qt
%python_sitelibdir/matplotlib/backends/backend_qt.*
%python_sitelibdir/matplotlib/backends/backend_qtagg*

%files wx
%python_sitelibdir/matplotlib/backends/backend_wx*
#%python_sitelibdir/matplotlib/backends/_wx*

# problem with checking?
%files tk
%python_sitelibdir/matplotlib/backends/backend_tk*
%python_sitelibdir/matplotlib/backends/tk*
%python_sitelibdir/matplotlib/backends/_tkagg*

%files qt4
%python_sitelibdir/matplotlib/backends/backend_qt4*

%files examples
%doc examples/

%changelog
* Wed Feb 18 2009 Vitaly Lipatov <lav@altlinux.ru> 0.98.3-alt3
- fix build on x86_64 (thanks to Dmitry Levin)

* Sun Nov 30 2008 Vitaly Lipatov <lav@altlinux.ru> 0.98.3-alt2
- fix enthought requires

* Sat Nov 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.98.3-alt1
- new version 0.98.3 (with rpmrb script)

* Mon Mar 03 2008 Vitaly Lipatov <lav@altlinux.ru> 0.91.2-alt1
- new version 0.91.2
- update buildreqs, fix packing

* Fri Feb 01 2008 Grigory Batalov <bga@altlinux.ru> 0.90.1-alt1.1
- Rebuilt with python-2.5.

* Sat Oct 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.90.1-alt1
- new version 0.90.1 (with rpmrb script)

* Sun Feb 25 2007 Vitaly Lipatov <lav@altlinux.ru> 0.90.0-alt1
- new version 0.90.0, update buildreq
- enable qt4 backend build
- disable wx backend build (no longer supported by mainstream)

* Mon Dec 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.7-alt1
- add missed backends dir
- move backend_gdk to gtk package
- set gtk backend by default (see mpl-data/matplotlibrc)

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.7-alt0.1
- new version 0.87.7
- build with numpy 1.0
- split backends by subpackages
- disable qt4, tk backends

* Wed Jun 07 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.2-alt0.2
- fix requires

* Wed Jun 07 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.2-alt0.1
- initial build for ALT Linux Sisyphus
